problema actualización de 10.10 a 11.04

Imagen de fralosal
0 puntos

Hola, muy buenas a tod@s.

Me ha surgido un repentino problema, quizás ya anunciado, he necesitado instalar un paquete, y al ir a hacerlo:
sudo apt-get install libx11-dev

Me he encontrado con que al conectarse con el servidor no descargaba nada, por lo que he pensado que se debe a que tengo la versión de Ubunt desactualizada.

Por este motivo he decidido bajar el .deb e instalarlo manualmente, lo cual me ha sido imposible por la cantidad de dependencias de otros paquetes que tenia.

Por este motivo me he animado a actualizar desde el gestor de actualizaciones a 11.04 y poder instalar el paquete que necesito. Al ir a hacerlo el primer paso, no recuero bien cual es, ha funcionado, pero en el segundo se ha quedado bloqueado indicándome el siguiente error:

"Después de actualizar la información sobre los paquetes, ya no aparece el paquete esencial «ubuntu-minimal».
Esto indica un error serio; por favor, informe del fallo sobre el paquete «update-manager» e incluya en el informe los archivos situados en /var/log/dist-upgrade/."

Ya se que tengo el SO desactualizado, que debería instalar la versión 12.04, y es lo que pienso hacer cuando tenga mas tiempo, pero ahora mismo me conformaría con poder instalar paquetes sin tener que reinstalar todo el SO si es posible.

Agradecería vuestra ayuda, pues no se que hacer para poder actualizar el sistema/instalar paquetes.

Un saludo.